=== debian/changelog ===
yorick (2.2.02+dfsg-6ubuntu2) trusty; urgency=medium

  * No-change rebuild for libopenmpi1.3 -> libopenmpi1.6 transition.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 14 Dec 2013 23:11:12 -0500

yorick (2.2.02+dfsg-6ubuntu1) saucy; urgency=low

  * Add armhf to the list of arches that don't build yorick-av.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 10 Oct 2013 00:26:44 -0600

yorick (2.2.02+dfsg-6) unstable; urgency=low

  * yorick-full Depends: on yorick-svipc and yorick-gyoto

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sat, 30 Jun 2012 07:41:29 +0200

yorick (2.2.02+dfsg-5) unstable; urgency=low

  * Fortify (make sure CPPFLAGS end up in Make.cfg)

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Thu, 28 Jun 2012 15:04:40 +0200

yorick (2.2.02+dfsg-4) unstable; urgency=low

  * Mention yorick-full in yorick's package description
  * Shorten yorick's suggest to only yorick-full and what it doesn't provide
  * Suggest yorick-svipc and yorick-gyoto in yorick-full

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Tue, 26 Jun 2012 10:16:17 +0200

yorick (2.2.02+dfsg-3) unstable; urgency=low

  * Move maintenance to the debian-science team. Update debian/control
    to comply with their policy:
    + change Maintainer, put self in Uploaders;
    + DM-Upload-Allowed: yes;
    + fill-in Vcs-* fields;
    + Priority is extra.
  * update README.source accordingly
  * Bug fix: "p_malloc uses wrong alignment on ia64", introducing patch
    fix-weird-alignment (Closes: #678276).
  * Bug fix: "re-enable testsuite on hppa", thanks to dann frazier
    (Closes: #584136).

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 20 Jun 2012 17:10:58 +0200

yorick (2.2.02+dfsg-2) unstable; urgency=low

  * Add yorick-full metapackage
  * Fix lintian warning about codger not being compiled with hardenned
    LDFLAGS.

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Wed, 13 Jun 2012 15:23:45 +0200

yorick (2.2.02+dfsg-1) unstable; urgency=low

  * New upstream release
  * Bump standards version to 3.9.3

 -- Thibaut Paumard <paumard@users.sourceforge.net>  Sun, 15 Apr 2012 12:45:43 +0200
