=== debian/control ===
Source: yorick
Section: science
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
Build-Depends: libx11-dev, texinfo, debhelper (>= 7.0.0), quilt (>= 0.40),
 imagemagick, po-debconf, texi2html (>= 1.82), libmpich2-dev,
 libopenmpi-dev [alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64]
Standards-Version: 3.9.3
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick.git
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick.git
Homepage: http://yorick.sourceforge.net

Package: yorick
Architecture: any
Depends: yorick-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, debconf
Replaces: yorick-data (<< 2.1.04+dfsg-1)
Conflicts: yorick-yutils (<= 1.5.0)
Breaks: yorick-imutil (<< 0.5.4-2~), yorick-spydr (<< 0.8.0-2~),
	yorick-curses (<< 0.1-4~)
Recommends: rlwrap, yorick-z
Suggests: yorick-full, yorick-dbg, yorick-mpy-openmpi | yorick-mpy-mpich2,
	  emacsen, curl
Description: interpreted language and scientific graphics
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The language features a compact syntax for many common array
 operations, so it processes large arrays of numbers very quickly and
 efficiently.  Superficially, yorick code resembles C code, but yorick
 variables are never explicitly declared and have a dynamic scoping
 similar to many Lisp dialects.  The yorick language is designed to be
 typed interactively at a keyboard, as well as stored in files for
 later use.
 .
 This package includes an emacs-based development environment, which
 you can launch by typing M-x yorick in emacs.
 .
 Many add-on packages and plug-ins are available for Yorick (the
 package names begin with "yorick-"). You may want to install the
 yorick-full metapackage which depends on the vast majority of them.

Package: yorick-dbg
Section: debug
Architecture: any
Depends: yorick (= ${binary:Version}), ${misc:Depends}
Description: debugging symbols for Yorick
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 This package contains the debugging symbols for the yorick
 executable.

Package: yorick-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yorick (>= ${source:Version})
Description: interpreted library for the Yorick language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-data package contains all the architecture-independent data, which
 is mostly the standard interpreted library.

Package: yorick-dev
Architecture: any
Depends: yorick (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: development files for the Yorick interpreted language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-dev package contains the files needed to compile (or package)
 plug-ins or custom `yorick' executables.

Package: yorick-mpy-mpich2
Architecture: any
Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
 mpich2, ${shlibs:Depends}, ${misc:Depends}
Description: Message Passing Yorick (MPICH2 build)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains a build of MPY linked against
 MPICH2.

Package: yorick-mpy-openmpi
Architecture: alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64
Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
 openmpi-bin, ${shlibs:Depends}, ${misc:Depends}
Description: Message Passing Yorick (OpenMPI build)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains a build of MPY linked against
 OpenMPI.

Package: yorick-mpy-common
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yorick-mpy-openmpi (>= ${source:Version}) | yorick-mpy-mpich2 (>= ${source:Version})
Description: Message Passing Yorick (common files)
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The MPY is a parallel version of Yorick based on the Message Passing
 Interface (MPI). This package contains the files common to all
 builds of MPY.

Package: yorick-doc
Section: doc
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: yorick (>= 2.1.04+dfsg+cvs20071130)
Description: documentation for the Yorick interpreted language
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The Yorick package ships with little documentation: a manpage, the
 Yorick Manual in info format, and its own "help" command. This
 package adds the Yorick Manual and Quick Reference in PDF and HTML
 format and a utility (update-yorickdoc) to build HTML documentation
 for the set of functions (from Yorick and add-on packages) installed
 on this machine. By default, these pages are built and updated
 automatically whenever necessary.
 .
 Once this package is installed, simply point your preferred web
 browser to file:///usr/share/doc/yorick-doc/README.html .

Package: yorick-full
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
	 yorick, yorick-dev, yorick-doc,
	 yorick-av [!armhf !ia64 !mips !mipsel !s390 !s390x !sparc],
	 yorick-cubeview,
	 yorick-curses,
	 yorick-gl,
	 yorick-gyoto,
	 yorick-hdf5,
	 yorick-imutil,
	 yorick-mira,
	 yorick-ml4,
	 yorick-mpeg,
	 yorick-optimpack,
	 yorick-soy,
	 yorick-spydr,
	 yorick-svipc,
	 yorick-yao,
	 yorick-yeti,
	 yorick-yeti-fftw,
	 yorick-yeti-gsl,
	 yorick-yeti-regex,
	 yorick-yeti-tiff,
	 yorick-yutils,
	 yorick-z
Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2
Description: full installation of the Yorick interpreter and add-ons
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The yorick-full metapackage installs Yorick together with the full set
 of add-ons packaged for Debian.
 .
 You may prefer to only install the yorick package and cherry-pick the
 yorick-* add-ons you need.
 . 
 If you need MPY, the MPI parallel version of Yorick, please install
 either yorick-mpy-openmpi or yorick-mpy-mpich2 in addition.
