=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg$//,uversionmangle=s/_/./g \
 https://github.com/dhmunro/yorick/tags .*/tarball/y_(\d[\d\_]+)
