## yorick 2.2.03+dfsg

=== debian/changelog ===
yorick (2.2.03+dfsg-3) unstable; urgency=medium

  * Bug fix: "linking with libpthread fixes FTBFS of yorick-av and
    yorick-hdf5", thanks to svante.signell@gmail.com</a>; (Closes:
    #761932).
  * Check against Policy 3.9.6

 -- Thibaut Paumard <thibaut@debian.org>  Fri, 19 Sep 2014 15:04:04 +0200

yorick (2.2.03+dfsg-2) unstable; urgency=high

  * Don't build-depend on libopenmpi-dev on s390x.
  * Urgency set to high to not delay the mpich2 transition further for
    this minor change.

 -- Thibaut Paumard <thibaut@debian.org>  Wed, 14 May 2014 13:20:49 +0200

yorick (2.2.03+dfsg-1) unstable; urgency=low

  * New upstream release
  * Update control file
  * Check against policy 3.9.5
  * Try harder to build both MPI implementations
  * Bug fix: "emacs24 make-local-hook", thanks to Kevin Ryde (Closes:
    #713039).
  * Bug fix: "regexp/yfnmatch.h is non free", thanks to Thibaut Paumard
    (Closes: #688095).
  * Bug fix: "emacs &quot;\\.i$&quot; pattern", thanks to Kevin Ryde
    (Closes: #713038).
  * Yorick-full depends on yorick-ygsl (instead of -yeti-gsl), -ynfft,
    -gy.
  * Get rid of conflicts/breaks regarding versions strictly older than
    squeeze (oldstable).

 -- Thibaut Paumard <thibaut@debian.org>  Tue, 01 Apr 2014 13:07:03 +0200
