=== debian/control ===
--- 
+++ 
@@ -1,25 +1,20 @@
 Source: yorick
 Section: science
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Thibaut Paumard <paumard@users.sourceforge.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Uploaders: Thibaut Paumard <thibaut@debian.org>
 Build-Depends: libx11-dev, texinfo, debhelper (>= 7.0.0), quilt (>= 0.40),
- imagemagick, po-debconf, texi2html (>= 1.82), libmpich2-dev,
- libopenmpi-dev [alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64]
-Standards-Version: 3.9.3
-DM-Upload-Allowed: yes
-Vcs-Git: git://git.debian.org/git/debian-science/packages/yorick.git
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/yorick.git
+ imagemagick, po-debconf, texi2html, mpi-default-dev,
+ libmpich-dev   [!powerpcspe !sh4 !x32],
+ libopenmpi-dev [!hppa !s390 !sh4 !x32 !s390x]
+Standards-Version: 3.9.6
+Vcs-Git:      git://anonscm.debian.org/debian-science/packages/yorick.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/yorick.git
 Homepage: http://yorick.sourceforge.net
 
 Package: yorick
 Architecture: any
 Depends: yorick-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, debconf
-Replaces: yorick-data (<< 2.1.04+dfsg-1)
-Conflicts: yorick-yutils (<= 1.5.0)
-Breaks: yorick-imutil (<< 0.5.4-2~), yorick-spydr (<< 0.8.0-2~),
-	yorick-curses (<< 0.1-4~)
 Recommends: rlwrap, yorick-z
 Suggests: yorick-full, yorick-dbg, yorick-mpy-openmpi | yorick-mpy-mpich2,
 	  emacsen, curl
@@ -87,7 +82,7 @@
  plug-ins or custom `yorick' executables.
 
 Package: yorick-mpy-mpich2
-Architecture: any
+Architecture: alpha amd64 arm64 armel armhf hppa hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 m68k mips mipsel powerpc ppc64 s390x sparc sparc64 sh4 x32 
 Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
  mpich2, ${shlibs:Depends}, ${misc:Depends}
 Description: Message Passing Yorick (MPICH2 build)
@@ -102,7 +97,7 @@
  MPICH2.
 
 Package: yorick-mpy-openmpi
-Architecture: alpha amd64 armel armhf hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc sparc64
+Architecture: alpha amd64 armel armhf hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 mips mipsel powerpc powerpcspe ppc64 sparc sparc64 
 Depends: yorick (= ${binary:Version}), yorick-mpy-common (= ${source:Version}),
  openmpi-bin, ${shlibs:Depends}, ${misc:Depends}
 Description: Message Passing Yorick (OpenMPI build)
@@ -158,10 +153,11 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends},
 	 yorick, yorick-dev, yorick-doc,
-	 yorick-av [!armhf !ia64 !mips !mipsel !s390 !s390x !sparc],
+	 yorick-av [!ia64 !s390],
 	 yorick-cubeview,
 	 yorick-curses,
 	 yorick-gl,
+	 yorick-gy,
 	 yorick-gyoto,
 	 yorick-hdf5,
 	 yorick-imutil,
@@ -175,9 +171,10 @@
 	 yorick-yao,
 	 yorick-yeti,
 	 yorick-yeti-fftw,
-	 yorick-yeti-gsl,
 	 yorick-yeti-regex,
 	 yorick-yeti-tiff,
+	 yorick-ygsl,
+	 yorick-ynfft,
 	 yorick-yutils,
 	 yorick-z
 Suggests: yorick-mpy-openmpi | yorick-mpy-mpich2
