=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,12 @@
 -include /usr/share/dpkg/buildflags.mk
 CFLAGS += $(CPPFLAGS)
 export CFLAGS
+
+# Fixes FTBFSes of plug-ins under Hurd
+ifneq (,$(filter $(DEB_HOST_ARCH), hurd-i386))
+	LDFLAGS += -lpthread
+endif
+export LDFLAGS
 
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
@@ -67,6 +73,7 @@
 	touch build-stamp
 
 build-mpy-stamp: build-stamp
+ifeq ($(wildcard /usr/bin/mpicc.mpich2), /usr/bin/mpicc.mpich2)
 	cp -a mpy mpy.mpich2
 	(cd mpy.mpich2 ; \
 	./configure --yorick=../relocate/bin/yorick --mpicc=mpicc.mpich2 ; \
@@ -75,6 +82,7 @@
 	mv mpy.mpich2/libmpy.a mpy.mpich2/libmpy.mpich2.a
 	mv mpy.mpich2/Makempy mpy.mpich2/Makempy.mpich2
 	mv mpy.mpich2/mpymain.o mpy.mpich2/mpymain.mpich2.o
+endif
 ifeq ($(wildcard /usr/bin/mpicc.openmpi), /usr/bin/mpicc.openmpi)
 	cp -a mpy mpy.openmpi
 	(cd mpy.openmpi ; \
